FOPEN64(3)

NAME
fopen64, _fopen64_r - open a large file

SYNOPSIS

#include <stdio.h>

FILE *fopen64(const char *file, const char *mode);

FILE *_fopen64_r(void *reent, const char *file, const char *mode);

DESCRIPTION

fopen64 is identical to fopen except it opens a large file that is potentially >2GB in size. See fopen for further details.

RETURNS

fopen64 return a file pointer which you can use for other file operations, unless the file you requested could not be opened; in that situation, the result is NULL. If the reason for failure was an invalid string at mode, errno is set to EINVAL.

PORTABILITY

fopen64 is a glibc extension.

Supporting OS subroutines required: close, fstat64, isatty, lseek64, open64, read, sbrk, write.